ruby-ncurses (1.4.9-1build9) lunar; urgency=medium

  * No-change upload to remove support for ruby3.0.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 02 Feb 2023 17:28:14 -0300

ruby-ncurses (1.4.9-1build8) lunar; urgency=medium

  * No-change upload to add support for ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 23 Jan 2023 16:22:44 -0300

ruby-ncurses (1.4.9-1build7) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 15:22:48 -0300

ruby-ncurses (1.4.9-1build6) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Nov 2021 18:25:12 -0300

ruby-ncurses (1.4.9-1build5) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:49 +0000

ruby-ncurses (1.4.9-1build4) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:18:54 +0000

ruby-ncurses (1.4.9-1build3) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:58 +0000

ruby-ncurses (1.4.9-1build2) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:02:44 +0000

ruby-ncurses (1.4.9-1build1) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 21:19:50 +0000

ruby-ncurses (1.4.9-1) unstable; urgency=medium

  * New upstream release.
    + Ship README.md instead of README
  * d/copyright: Update maintainers' copyrights

 -- Per Andersson <avtobiff@debian.org>  Sun, 06 Mar 2016 21:37:16 +0100

ruby-ncurses (1.4.8-2) unstable; urgency=medium

  [ Sebastien Badia ]
  * Team upload.
  * d/watch: Fall-back to Github (githubredir webservice was discontinued)

  [ Lucas Nussbaum ]
  * Remove myself from Uploaders.
  * Update packaging:
    + Bump Standards-Version
    + Add Testsuite field
    + Update Vcs-Browser
    + Change homepage to match gemspec
  * Fix lintian warnings in copyright file

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 06 May 2015 22:58:54 +0200

ruby-ncurses (1.4.8-1) unstable; urgency=low

  * New upstream release
  * Changed to my debian address
  * Include examples/form*.rb files, they are GFDL-1.2+ licensed
    - Remove orig source repackaging
  * Drop 0001-Use-ncursesw-includes.patch, resolved upstream


 -- Per Andersson <avtobiff@debian.org>  Tue, 30 Sep 2014 22:12:15 +0200

ruby-ncurses (1.4.7+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #736571)
  * Refresh patch Use ncursesw includes
  * Add patch to use absolute path in shebang in examples/color_pairs.rb

 -- Per Andersson <avtobiff@gmail.com>  Thu, 20 Mar 2014 13:48:40 +0100

ruby-ncurses (1.4.4+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Per Andersson <avtobiff@gmail.com>  Tue, 28 Jan 2014 01:18:52 +0100

ruby-ncurses (1.4.3+dfsg-1) unstable; urgency=low

  * New upstream release
    + Remove patches applied upstream
      - Ruby >= 1.9 compatibilit
      - Formatting error string
    + Add patch for using ncursesw headers
  * Changed to new active upstream
    + Updated debian/{control,copyright,watch}
  * Removed non-dfsg free upstream files
    + Added method to repackage non-dfsg free upstream tarball
  * Don't ship LICENSE file from examples

 -- Per Andersson <avtobiff@gmail.com>  Tue, 21 Jan 2014 22:56:57 +0100

ruby-ncurses (1.3.1-3) unstable; urgency=low

  * Team upload
  * Update fro ruby1.8-removal
  * Bump standards version to 3.9.5
  * Remove transitional packages
  [ Cédric Boutillier ] 
  * remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields  

 -- Praveen Arimbrathodiyil <praveen@debian.org>  Thu, 02 Jan 2014 23:20:49 +0530

ruby-ncurses (1.3.1-2) unstable; urgency=low

  * Fix FTBFS. Closes: #675951
    - Add patch for formatting error string.

 -- Per Andersson <avtobiff@gmail.com>  Thu, 07 Jun 2012 19:08:06 +0200

ruby-ncurses (1.3.1-1) unstable; urgency=low

  * Changed upstream to ncursesw-ruby. Closes: #477366.
    + Build-Depend on libncursesw5-dev.
    + Symlink ncurses.rb -> ncursesw.rb.
    + Provide ruby-ncursesw and update long description.
    + Updated watch file.
  * Build for all Ruby versions.
    + Add Ruby >= 1.9 compatibility patch.
    + Depend on ruby instead of ruby1.8.
  * Set (correct) priority extra for transitional packages.
  * Bump standards-version to 3.9.3, no changes needed.
  * Update copyright file to DEP5.
  * Add myself to uploaders.
  * Set unapply-patches in debian/source/local-options.
  * Use Breaks instead of Conflicts for transitional packages.

 -- Per Andersson <avtobiff@gmail.com>  Thu, 31 May 2012 22:36:50 +0200

ruby-ncurses (1.2.4-4) unstable; urgency=low

  * Add a transitional package for libncurses-ruby, too.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 17 Apr 2011 09:39:57 +0200

ruby-ncurses (1.2.4-3) unstable; urgency=low

  * Migration to gem2deb packaging.
    + Rename source package and binary packages, so upload with source.
    + Add transitional packages.
  * Disable building for ruby1.9.1, as the package doesn't work for this
    version.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 16 Apr 2011 07:58:46 +0200

ncurses-ruby (1.2.4-2) unstable; urgency=low

  * New maintainer, with Michael's blessing.
    + Ack NMU. Closes: #569625.
  * Add debian/watch.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Fix lintian warnings.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 20 Feb 2010 12:10:42 +0100

ncurses-ruby (1.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop 1.9 package, add 1.9.1 package. Closes: #501294, #565847.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 20 Jan 2010 21:40:45 +1300

ncurses-ruby (1.2.4-1) unstable; urgency=low

  * New upstream release 
  * Fixes undefined symbols, Closes: #529188
  * Change Section to ruby
  * apply with new Standards Version

 -- Michael Ablassmeier <abi@debian.org>  Mon, 10 Aug 2009 22:43:28 +0200

ncurses-ruby (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version

 -- Michael Ablassmeier <abi@debian.org>  Tue, 05 May 2009 21:07:24 +0200

ncurses-ruby (1.1-3) unstable; urgency=high

  * rebuild with latest ruby-dev in order to have the librarys at the right
    place (Closes: #484621)

 -- Michael Ablassmeier <abi@debian.org>  Mon, 16 Jun 2008 13:09:18 +0200

ncurses-ruby (1.1-2) unstable; urgency=low

  * Use ${shlibs:Depends} instead of old hardcoded ruby1.x,irb1.x dependency
    Closes: #448177
  * remove mkmf.log on clean

 -- Michael Ablassmeier <abi@debian.org>  Wed, 31 Oct 2007 08:43:46 +0100

ncurses-ruby (1.1-1) unstable; urgency=low

  * New upstream release
  * The package installed its library in $rubypath/1.[8,9]/i486-linux/
    no matter what architecture (this broke ncurses-ruby on for example
    amd64 and the like). Fix this by not using the .install files anymore
    but by calling the Makefile in debian/rules with proper arguments.

 -- Michael Ablassmeier <abi@debian.org>  Mon, 19 Jun 2006 15:00:02 +0200

ncurses-ruby (1.0-3) unstable; urgency=low

  * Lets build the library against ruby1.9 too.
  * move from cdbs to regular debian/rules
  * conforms to new Standards Version.

 -- Michael Ablassmeier <abi@debian.org>  Sat, 13 May 2006 09:48:31 +0200

ncurses-ruby (1.0-2) unstable; urgency=low

  * New Maintainer E-Mail 
  * Set DEB_MAKE_INVOKE=make in debian/rules, otherwise cdbs calls
    make in a way that overwrites CFLAGS and the package FTBFS. 
    Closes: #358085 

 -- Michael Ablassmeier <abi@debian.org>  Tue, 21 Mar 2006 09:01:31 +0100

ncurses-ruby (1.0-1) unstable; urgency=low

  * New upstream release

 -- Michael Ablassmeier <abi@grinser.de>  Mon, 19 Dec 2005 16:42:44 +0100

ncurses-ruby (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Michael Ablassmeier <abi@grinser.de>  Tue,  4 Oct 2005 13:27:30 +0200

ncurses-ruby (0.9.2-3) unstable; urgency=low

  * Rebuild against new ruby packages, see:
     http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html
     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=315566 
  * Small update for debian/rules

 -- Michael Ablassmeier <abi@grinser.de>  Wed, 29 Jun 2005 17:59:09 +0200

ncurses-ruby (0.9.2-2) unstable; urgency=high

  * Fix FTBFS Closes: #307338 
  * Small update for debian/copyright

 -- Michael Ablassmeier <abi@grinser.de>  Tue,  3 May 2005 11:18:26 +0200

ncurses-ruby (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Michael Ablassmeier <abi@grinser.de>  Tue,  1 Mar 2005 16:36:10 +0100

ncurses-ruby (0.9.1-2) unstable; urgency=low

  * enhance dependency on debhelper (4.1.0, due cdbs)
  * lower first capital letters in package description
  * compress all examples in /usr/share/doc/ 

 -- Michael Ablassmeier <abi@grinser.de>  Sat, 12 Feb 2005 15:44:01 +0100

ncurses-ruby (0.9.1-1) unstable; urgency=low

  * New upstream release
  * New Standards Version.

 -- Michael Ablassmeier <abi@grinser.de>  Mon,  2 Aug 2004 20:44:24 +0200

ncurses-ruby (0.9-1) unstable; urgency=low

  * New upstream release
  * New Maintainer (Closes: #247983)
  * Update Standards Version

 -- Michael Ablassmeier <abi@grinser.de>  Sat, 22 May 2004 13:56:09 +0200

ncurses-ruby (0.8-4) unstable; urgency=low

  * Orphaning 

 -- Brian M. Almeida <bma@debian.org>  Sat,  8 May 2004 08:55:08 -0400

ncurses-ruby (0.8-3) unstable; urgency=low

  * Added example scripts 

 -- Brian M. Almeida <bma@debian.org>  Sat, 27 Sep 2003 09:48:32 -0400

ncurses-ruby (0.8-2) unstable; urgency=low

  * Recompile to use ruby1.8 

 -- Brian M. Almeida <bma@debian.org>  Mon, 22 Sep 2003 21:37:09 -0400

ncurses-ruby (0.8-1) unstable; urgency=low

  * New upstream release 
  * Compile against ruby1.6 -dev packages

 -- Brian M. Almeida <bma@debian.org>  Tue,  9 Sep 2003 21:42:38 -0400

ncurses-ruby (0.7.1-4) unstable; urgency=low

  * Really build with -fPIC 

 -- Brian M. Almeida <bma@debian.org>  Thu, 28 Aug 2003 18:49:49 -0400

ncurses-ruby (0.7.1-3) unstable; urgency=low

  * Add README to docs dir, closes: #207600 

 -- Brian M. Almeida <bma@debian.org>  Thu, 28 Aug 2003 08:11:21 -0400

ncurses-ruby (0.7.1-2) unstable; urgency=low

  * Build with -fPIC, closes: #207570 

 -- Brian M. Almeida <bma@debian.org>  Wed, 27 Aug 2003 22:54:11 -0400

ncurses-ruby (0.7.1-1) unstable; urgency=low

  * Initial Release, closes: #204588

 -- Brian M. Almeida <bma@debian.org>  Thu, 21 Aug 2003 13:17:46 -0400

